Open Lighting Architecture: ola::rdm::NetworkManagerInterface Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::rdm::NetworkManagerInterface Class Referenceabstract

## Detailed Description

Gets global network information.

Inheritance diagram for ola::rdm::NetworkManagerInterface:

## Public Member Functions
virtual const ola::network::InterfacePicker * | GetInterfacePicker () const =0
virtual rdm_dhcp_status | GetDHCPStatus (const ola::network::Interface &iface) const =0
virtual bool | GetIPV4DefaultRoute (int32_t *if_index, ola::network::IPV4Address *default_route) const =0
virtual const std::string | GetHostname () const =0
virtual const std::string | GetDomainName () const =0
virtual bool | GetNameServers (std::vector< ola::network::IPV4Address > *name_servers) const =0

## Member Function Documentation

## ◆ GetDHCPStatus()

virtual rdm_dhcp_status ola::rdm::NetworkManagerInterface::GetDHCPStatus | ( | const ola::network::Interface & | iface | ) | const
| pure virtual

Get the DHCP status of an interface

Parameters

  iface | the interface to check the DHCP status of

Returns
  One of DHCP_STATUS_ACTIVE, DHCP_STATUS_INACTIVE or DHCP_STATUS_UNKNOWN.

Implemented in ola::rdm::FakeNetworkManager, and ola::rdm::NetworkManager.

## ◆ GetDomainName()

virtual const std::string ola::rdm::NetworkManagerInterface::GetDomainName | ( |  | ) | const
| pure virtual

Get the domain name

Implemented in ola::rdm::FakeNetworkManager, and ola::rdm::NetworkManager.

## ◆ GetHostname()

virtual const std::string ola::rdm::NetworkManagerInterface::GetHostname | ( |  | ) | const
| pure virtual

Get the hostname

Implemented in ola::rdm::FakeNetworkManager, and ola::rdm::NetworkManager.

## ◆ GetInterfacePicker()

virtual const ola::network::InterfacePicker * ola::rdm::NetworkManagerInterface::GetInterfacePicker | ( |  | ) | const
| pure virtual

Get the interface picker

Implemented in ola::rdm::FakeNetworkManager, and ola::rdm::NetworkManager.

## ◆ GetIPV4DefaultRoute()

virtual bool ola::rdm::NetworkManagerInterface::GetIPV4DefaultRoute | ( | int32_t * | if_index,
|  | ola::network::IPV4Address * | default_route ) const
| pure virtual

Get the IPv4 default route

Parameters

  [out] | if_index | the index of the interface the machine's default is on
  [out] | default_route | the machine's default route as an IPV4Address object

Returns
  true if we managed to fetch the default route, false otherwise

Note
  if it manages to fetch the route information and there isn't a route, it will return the special wildcard address, which can be tested for with IsWildcard().

Implemented in ola::rdm::FakeNetworkManager, and ola::rdm::NetworkManager.

## ◆ GetNameServers()

virtual bool ola::rdm::NetworkManagerInterface::GetNameServers | ( | std::vector< ola::network::IPV4Address > * | name_servers | ) | const
| pure virtual

Get name servers

Implemented in ola::rdm::FakeNetworkManager, and ola::rdm::NetworkManager.

The documentation for this class was generated from the following file:

- include/ola/rdm/NetworkManagerInterface.h